Subject: Re: bug#43830: keyboard layout handling incompatible with rest of the OS

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Oct 2020 21:46:33 +0300

> I use English and Russian keyboard layouts. For every single application I
> don't need to care which layout is currently selected for shortcuts, e.g.
> Ctrl+S and Ctrl+Ы do the same (S and Ы are on the same physical key). Of
> course, in Emacs it doesn't work this way: C-s triggers Isearch, but C-ы
> "is undefined".

You can use the package https://github.com/a13/reverse-im.el
that was created from code that I wrote to address your previous request
some years ago.